MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002095VCMIMechanics - Adventure Mappublic2015-02-18 12:182016-04-07 13:44
ReporterPovelitel 
Assigned ToSXX 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.97b 
Target VersionFixed in Version0.98f 
Summary0002095: If artifact have inner guard and hero try take him - instant attack. Not have dialog want you battle or not
Descriptionscreen
TagsNo tags attached.
Attached Filespng file icon Art.PNG [^] (44,339 bytes) 2015-02-18 12:18

- Relationships

-  Notes
(0006127)
SXX (administrator)
2015-11-28 19:11

So it's actual H3 behaviour:
 - Artifact with guards always have dialog that tell you who's guarding it.
 - Guarded resources never have dialog, instant attack.
(0006211)
SXX (administrator)
2015-12-24 15:03

One more important addition on why this problem likely appear:
- Spell scrolls work different, not like normal artifacts. E.g when artifact have no custom message it's just show who's guarding it, but in case of spell scroll you going to be instantly attacked if there no message set.

This is likely inconsistency that was reason behind this incorrect behaviour.
(0006212)
SXX (administrator)
2015-12-24 15:10

So one more detail: guarded resource have same behaviour as spell scroll.
If there custom message there is dialog and if there no message then it's instant attack.
(0006215)
SXX (administrator)
2015-12-24 18:14

Fixed:
https://github.com/vcmi/vcmi/commit/62bab27e7eae76753ec15f2db084c26f91ffdef8 [^]

- Issue History
Date Modified Username Field Change
2015-02-18 12:18 Povelitel New Issue
2015-02-18 12:18 Povelitel File Added: Art.PNG
2015-11-25 07:33 SXX Assigned To => SXX
2015-11-25 07:33 SXX Status new => assigned
2015-11-28 19:11 SXX Note Added: 0006127
2015-12-24 15:03 SXX Note Added: 0006211
2015-12-24 15:10 SXX Note Added: 0006212
2015-12-24 18:14 SXX Note Added: 0006215
2015-12-24 18:14 SXX Status assigned => resolved
2015-12-24 18:14 SXX Fixed in Version => 0.98f
2015-12-24 18:14 SXX Resolution open => fixed
2016-04-07 13:44 Povelitel Status resolved => closed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean